# Accrued Interest

## Teller APY: Interest Accrued from Borrowed Capital

Actively borrowed assets reside in the Teller Protocol's pool of outstanding loans. These loans have both an expiration date and a future amount of interest owed.&#x20;

When an outstanding loan is repaid in full, the lending pool increases in size by the interest owed amount. This amount of newly earned assets are distributed pro-rata across all tToken holders.&#x20;

Liquidity providers earn interest from outstanding loans based on the block at which the loan is repaid.

## cToken APY: Interest Accrued from Passive Capital

Assets that sit idle in the Teller Protocol's lending pools are deposited into the [Compound Protocol](https://compound.finance/). This capital is subsequently converted into a [cToken](https://compound.finance/docs/ctokens), where the APY is represented by an increase in the price of the cToken itself.&#x20;

Liquidity providers earn interest from cToken APY every block.

## Accrued APY: Teller APY + cToken APY

Total interest earned is the combination of:

`Accrued APY = Teller APY + cToken APY`

This `Accrued APY` is generated throughout the duration of time a user provides liquidity to the protocol. The longer liquidity is deposited, the greater amount of interest that can be generated per user.

## Method: Accrued Interest

The method to calculate `Accrued Interest` is currently run by the node network. For a specific liquidity provider, the node will loop through each block in which the provider held greater than zero tTokens.&#x20;

The total amount of interest will be equivalent to: `({Teller APY [per block] + cToken APY [per block]} x Number of Blocks)`

The resulting interest amount must be submitted to an on-chain consensus review in order to be approved. Once approved, the liquidity provider can claim the outstanding interest accrued.

If interest has previously been claimed by a liquidity provider, the `Number of Blocks` will be calculated by:`(Current Block - Block of Previous Interest Claim)` .


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.teller.org/teller-docs/teller-nodes/accrued-interest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
